# Uses of Interface
com.sun.source.tree.TypeCastTree

Packages that use TypeCastTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of TypeCastTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type TypeCastTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitTypeCast(TypeCastTree node, P p)`
Visits a TypeCastTree node.

## Uses of TypeCastTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type TypeCastTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitTypeCast(TypeCastTree node, P p)`
Visits a TypeCastTree node.
`R`
TreeScanner.`visitTypeCast(TypeCastTree node, P p)`
Visits a TypeCastTree node.